// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.35.2
// 	protoc        (unknown)
// source: connectrpc/questions/v1/questions.proto

package questionsv1

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type DifficultyLevel int32

const (
	DifficultyLevel_DIFFICULTY_LEVEL_UNSPECIFIED DifficultyLevel = 0
	DifficultyLevel_DIFFICULTY_LEVEL_EASY        DifficultyLevel = 1
	DifficultyLevel_DIFFICULTY_LEVEL_MEDIUM      DifficultyLevel = 2
	DifficultyLevel_DIFFICULTY_LEVEL_HARD        DifficultyLevel = 3
)

// Enum value maps for DifficultyLevel.
var (
	DifficultyLevel_name = map[int32]string{
		0: "DIFFICULTY_LEVEL_UNSPECIFIED",
		1: "DIFFICULTY_LEVEL_EASY",
		2: "DIFFICULTY_LEVEL_MEDIUM",
		3: "DIFFICULTY_LEVEL_HARD",
	}
	DifficultyLevel_value = map[string]int32{
		"DIFFICULTY_LEVEL_UNSPECIFIED": 0,
		"DIFFICULTY_LEVEL_EASY":        1,
		"DIFFICULTY_LEVEL_MEDIUM":      2,
		"DIFFICULTY_LEVEL_HARD":        3,
	}
)

func (x DifficultyLevel) Enum() *DifficultyLevel {
	p := new(DifficultyLevel)
	*p = x
	return p
}

func (x DifficultyLevel) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DifficultyLevel) Descriptor() protoreflect.EnumDescriptor {
	return file_connectrpc_questions_v1_questions_proto_enumTypes[0].Descriptor()
}

func (DifficultyLevel) Type() protoreflect.EnumType {
	return &file_connectrpc_questions_v1_questions_proto_enumTypes[0]
}

func (x DifficultyLevel) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use DifficultyLevel.Descriptor instead.
func (DifficultyLevel) EnumDescriptor() ([]byte, []int) {
	return file_connectrpc_questions_v1_questions_proto_rawDescGZIP(), []int{0}
}

type QuestionType int32

const (
	QuestionType_QUESTION_TYPE_UNSPECIFIED       QuestionType = 0
	QuestionType_QUESTION_TYPE_BINARY_TO_DECIMAL QuestionType = 1
	QuestionType_QUESTION_TYPE_DECIMAL_TO_BINARY QuestionType = 2
)

// Enum value maps for QuestionType.
var (
	QuestionType_name = map[int32]string{
		0: "QUESTION_TYPE_UNSPECIFIED",
		1: "QUESTION_TYPE_BINARY_TO_DECIMAL",
		2: "QUESTION_TYPE_DECIMAL_TO_BINARY",
	}
	QuestionType_value = map[string]int32{
		"QUESTION_TYPE_UNSPECIFIED":       0,
		"QUESTION_TYPE_BINARY_TO_DECIMAL": 1,
		"QUESTION_TYPE_DECIMAL_TO_BINARY": 2,
	}
)

func (x QuestionType) Enum() *QuestionType {
	p := new(QuestionType)
	*p = x
	return p
}

func (x QuestionType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (QuestionType) Descriptor() protoreflect.EnumDescriptor {
	return file_connectrpc_questions_v1_questions_proto_enumTypes[1].Descriptor()
}

func (QuestionType) Type() protoreflect.EnumType {
	return &file_connectrpc_questions_v1_questions_proto_enumTypes[1]
}

func (x QuestionType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use QuestionType.Descriptor instead.
func (QuestionType) EnumDescriptor() ([]byte, []int) {
	return file_connectrpc_questions_v1_questions_proto_rawDescGZIP(), []int{1}
}

type GenerateQuestionSetRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	QuestionCount int32           `protobuf:"varint,1,opt,name=question_count,json=questionCount,proto3" json:"question_count,omitempty"`
	Difficulty    DifficultyLevel `protobuf:"varint,2,opt,name=difficulty,proto3,enum=connectrpc.questions.v1.DifficultyLevel" json:"difficulty,omitempty"`
	Shuffle       bool            `protobuf:"varint,3,opt,name=shuffle,proto3" json:"shuffle,omitempty"`
}

func (x *GenerateQuestionSetRequest) Reset() {
	*x = GenerateQuestionSetRequest{}
	mi := &file_connectrpc_questions_v1_questions_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GenerateQuestionSetRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GenerateQuestionSetRequest) ProtoMessage() {}

func (x *GenerateQuestionSetRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_questions_v1_questions_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GenerateQuestionSetRequest.ProtoReflect.Descriptor instead.
func (*GenerateQuestionSetRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_questions_v1_questions_proto_rawDescGZIP(), []int{0}
}

func (x *GenerateQuestionSetRequest) GetQuestionCount() int32 {
	if x != nil {
		return x.QuestionCount
	}
	return 0
}

func (x *GenerateQuestionSetRequest) GetDifficulty() DifficultyLevel {
	if x != nil {
		return x.Difficulty
	}
	return DifficultyLevel_DIFFICULTY_LEVEL_UNSPECIFIED
}

func (x *GenerateQuestionSetRequest) GetShuffle() bool {
	if x != nil {
		return x.Shuffle
	}
	return false
}

type GenerateQuestionSetResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	QuestionSet *QuestionSet `protobuf:"bytes,1,opt,name=question_set,json=questionSet,proto3" json:"question_set,omitempty"`
}

func (x *GenerateQuestionSetResponse) Reset() {
	*x = GenerateQuestionSetResponse{}
	mi := &file_connectrpc_questions_v1_questions_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GenerateQuestionSetResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GenerateQuestionSetResponse) ProtoMessage() {}

func (x *GenerateQuestionSetResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_questions_v1_questions_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GenerateQuestionSetResponse.ProtoReflect.Descriptor instead.
func (*GenerateQuestionSetResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_questions_v1_questions_proto_rawDescGZIP(), []int{1}
}

func (x *GenerateQuestionSetResponse) GetQuestionSet() *QuestionSet {
	if x != nil {
		return x.QuestionSet
	}
	return nil
}

type GetQuestionSetRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	QuestionSetId string `protobuf:"bytes,1,opt,name=question_set_id,json=questionSetId,proto3" json:"question_set_id,omitempty"`
}

func (x *GetQuestionSetRequest) Reset() {
	*x = GetQuestionSetRequest{}
	mi := &file_connectrpc_questions_v1_questions_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetQuestionSetRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetQuestionSetRequest) ProtoMessage() {}

func (x *GetQuestionSetRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_questions_v1_questions_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetQuestionSetRequest.ProtoReflect.Descriptor instead.
func (*GetQuestionSetRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_questions_v1_questions_proto_rawDescGZIP(), []int{2}
}

func (x *GetQuestionSetRequest) GetQuestionSetId() string {
	if x != nil {
		return x.QuestionSetId
	}
	return ""
}

type GetQuestionSetResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	QuestionSet *QuestionSet `protobuf:"bytes,1,opt,name=question_set,json=questionSet,proto3" json:"question_set,omitempty"`
}

func (x *GetQuestionSetResponse) Reset() {
	*x = GetQuestionSetResponse{}
	mi := &file_connectrpc_questions_v1_questions_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetQuestionSetResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetQuestionSetResponse) ProtoMessage() {}

func (x *GetQuestionSetResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_questions_v1_questions_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetQuestionSetResponse.ProtoReflect.Descriptor instead.
func (*GetQuestionSetResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_questions_v1_questions_proto_rawDescGZIP(), []int{3}
}

func (x *GetQuestionSetResponse) GetQuestionSet() *QuestionSet {
	if x != nil {
		return x.QuestionSet
	}
	return nil
}

type QuestionSet struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        string          `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Level     DifficultyLevel `protobuf:"varint,2,opt,name=level,proto3,enum=connectrpc.questions.v1.DifficultyLevel" json:"level,omitempty"`
	Questions []*Question     `protobuf:"bytes,3,rep,name=questions,proto3" json:"questions,omitempty"`
	Shuffle   bool            `protobuf:"varint,4,opt,name=shuffle,proto3" json:"shuffle,omitempty"`
}

func (x *QuestionSet) Reset() {
	*x = QuestionSet{}
	mi := &file_connectrpc_questions_v1_questions_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *QuestionSet) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*QuestionSet) ProtoMessage() {}

func (x *QuestionSet) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_questions_v1_questions_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use QuestionSet.ProtoReflect.Descriptor instead.
func (*QuestionSet) Descriptor() ([]byte, []int) {
	return file_connectrpc_questions_v1_questions_proto_rawDescGZIP(), []int{4}
}

func (x *QuestionSet) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *QuestionSet) GetLevel() DifficultyLevel {
	if x != nil {
		return x.Level
	}
	return DifficultyLevel_DIFFICULTY_LEVEL_UNSPECIFIED
}

func (x *QuestionSet) GetQuestions() []*Question {
	if x != nil {
		return x.Questions
	}
	return nil
}

func (x *QuestionSet) GetShuffle() bool {
	if x != nil {
		return x.Shuffle
	}
	return false
}

type Question struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id     string       `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Type   QuestionType `protobuf:"varint,2,opt,name=type,proto3,enum=connectrpc.questions.v1.QuestionType" json:"type,omitempty"`
	Query  string       `protobuf:"bytes,3,opt,name=query,proto3" json:"query,omitempty"`
	Answer string       `protobuf:"bytes,4,opt,name=answer,proto3" json:"answer,omitempty"`
}

func (x *Question) Reset() {
	*x = Question{}
	mi := &file_connectrpc_questions_v1_questions_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Question) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Question) ProtoMessage() {}

func (x *Question) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_questions_v1_questions_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Question.ProtoReflect.Descriptor instead.
func (*Question) Descriptor() ([]byte, []int) {
	return file_connectrpc_questions_v1_questions_proto_rawDescGZIP(), []int{5}
}

func (x *Question) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Question) GetType() QuestionType {
	if x != nil {
		return x.Type
	}
	return QuestionType_QUESTION_TYPE_UNSPECIFIED
}

func (x *Question) GetQuery() string {
	if x != nil {
		return x.Query
	}
	return ""
}

func (x *Question) GetAnswer() string {
	if x != nil {
		return x.Answer
	}
	return ""
}

var File_connectrpc_questions_v1_questions_proto protoreflect.FileDescriptor

var file_connectrpc_questions_v1_questions_proto_rawDesc = []byte{
	0x0a, 0x27, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2f, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2f, 0x76, 0x31, 0x2f, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69,
	0x6f, 0x6e, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x17, 0x63, 0x6f, 0x6e, 0x6e, 0x65,
	0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e,
	0x76, 0x31, 0x22, 0xa7, 0x01, 0x0a, 0x1a, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x51,
	0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x25, 0x0a, 0x0e, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x63, 0x6f,
	0x75, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0d, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x48, 0x0a, 0x0a, 0x64, 0x69, 0x66, 0x66,
	0x69, 0x63, 0x75, 0x6c, 0x74, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x28, 0x2e, 0x63,
	0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69,
	0x6f, 0x6e, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x44, 0x69, 0x66, 0x66, 0x69, 0x63, 0x75, 0x6c, 0x74,
	0x79, 0x4c, 0x65, 0x76, 0x65, 0x6c, 0x52, 0x0a, 0x64, 0x69, 0x66, 0x66, 0x69, 0x63, 0x75, 0x6c,
	0x74, 0x79, 0x12, 0x18, 0x0a, 0x07, 0x73, 0x68, 0x75, 0x66, 0x66, 0x6c, 0x65, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x07, 0x73, 0x68, 0x75, 0x66, 0x66, 0x6c, 0x65, 0x22, 0x66, 0x0a, 0x1b,
	0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e,
	0x53, 0x65, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x47, 0x0a, 0x0c, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x73, 0x65, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x24, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x51, 0x75, 0x65, 0x73,
	0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74, 0x52, 0x0b, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f,
	0x6e, 0x53, 0x65, 0x74, 0x22, 0x3f, 0x0a, 0x15, 0x47, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74,
	0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x26, 0x0a,
	0x0f, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x73, 0x65, 0x74, 0x5f, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e,
	0x53, 0x65, 0x74, 0x49, 0x64, 0x22, 0x61, 0x0a, 0x16, 0x47, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73,
	0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x47, 0x0a, 0x0c, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x73, 0x65, 0x74, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x24, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72,
	0x70, 0x63, 0x2e, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x76, 0x31, 0x2e,
	0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74, 0x52, 0x0b, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74, 0x22, 0xb8, 0x01, 0x0a, 0x0b, 0x51, 0x75, 0x65,
	0x73, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x3e, 0x0a, 0x05, 0x6c, 0x65, 0x76, 0x65,
	0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x28, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63,
	0x74, 0x72, 0x70, 0x63, 0x2e, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x76,
	0x31, 0x2e, 0x44, 0x69, 0x66, 0x66, 0x69, 0x63, 0x75, 0x6c, 0x74, 0x79, 0x4c, 0x65, 0x76, 0x65,
	0x6c, 0x52, 0x05, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x12, 0x3f, 0x0a, 0x09, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x63, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x09,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x18, 0x0a, 0x07, 0x73, 0x68, 0x75,
	0x66, 0x66, 0x6c, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07, 0x73, 0x68, 0x75, 0x66,
	0x66, 0x6c, 0x65, 0x22, 0x83, 0x01, 0x0a, 0x08, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e,
	0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64,
	0x12, 0x39, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x25,
	0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f,
	0x6e, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x71,
	0x75, 0x65, 0x72, 0x79, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x71, 0x75, 0x65, 0x72,
	0x79, 0x12, 0x16, 0x0a, 0x06, 0x61, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x06, 0x61, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x2a, 0x86, 0x01, 0x0a, 0x0f, 0x44, 0x69,
	0x66, 0x66, 0x69, 0x63, 0x75, 0x6c, 0x74, 0x79, 0x4c, 0x65, 0x76, 0x65, 0x6c, 0x12, 0x20, 0x0a,
	0x1c, 0x44, 0x49, 0x46, 0x46, 0x49, 0x43, 0x55, 0x4c, 0x54, 0x59, 0x5f, 0x4c, 0x45, 0x56, 0x45,
	0x4c, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12,
	0x19, 0x0a, 0x15, 0x44, 0x49, 0x46, 0x46, 0x49, 0x43, 0x55, 0x4c, 0x54, 0x59, 0x5f, 0x4c, 0x45,
	0x56, 0x45, 0x4c, 0x5f, 0x45, 0x41, 0x53, 0x59, 0x10, 0x01, 0x12, 0x1b, 0x0a, 0x17, 0x44, 0x49,
	0x46, 0x46, 0x49, 0x43, 0x55, 0x4c, 0x54, 0x59, 0x5f, 0x4c, 0x45, 0x56, 0x45, 0x4c, 0x5f, 0x4d,
	0x45, 0x44, 0x49, 0x55, 0x4d, 0x10, 0x02, 0x12, 0x19, 0x0a, 0x15, 0x44, 0x49, 0x46, 0x46, 0x49,
	0x43, 0x55, 0x4c, 0x54, 0x59, 0x5f, 0x4c, 0x45, 0x56, 0x45, 0x4c, 0x5f, 0x48, 0x41, 0x52, 0x44,
	0x10, 0x03, 0x2a, 0x77, 0x0a, 0x0c, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79,
	0x70, 0x65, 0x12, 0x1d, 0x0a, 0x19, 0x51, 0x55, 0x45, 0x53, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x54,
	0x59, 0x50, 0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10,
	0x00, 0x12, 0x23, 0x0a, 0x1f, 0x51, 0x55, 0x45, 0x53, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x54, 0x59,
	0x50, 0x45, 0x5f, 0x42, 0x49, 0x4e, 0x41, 0x52, 0x59, 0x5f, 0x54, 0x4f, 0x5f, 0x44, 0x45, 0x43,
	0x49, 0x4d, 0x41, 0x4c, 0x10, 0x01, 0x12, 0x23, 0x0a, 0x1f, 0x51, 0x55, 0x45, 0x53, 0x54, 0x49,
	0x4f, 0x4e, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x44, 0x45, 0x43, 0x49, 0x4d, 0x41, 0x4c, 0x5f,
	0x54, 0x4f, 0x5f, 0x42, 0x49, 0x4e, 0x41, 0x52, 0x59, 0x10, 0x02, 0x32, 0x88, 0x02, 0x0a, 0x10,
	0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x12, 0x80, 0x01, 0x0a, 0x13, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x51, 0x75, 0x65,
	0x73, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74, 0x12, 0x33, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65,
	0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e,
	0x76, 0x31, 0x2e, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x51, 0x75, 0x65, 0x73, 0x74,
	0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x34, 0x2e,
	0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65,
	0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x71, 0x0a, 0x0e, 0x47, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69,
	0x6f, 0x6e, 0x53, 0x65, 0x74, 0x12, 0x2e, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72,
	0x70, 0x63, 0x2e, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x76, 0x31, 0x2e,
	0x47, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2f, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72,
	0x70, 0x63, 0x2e, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x76, 0x31, 0x2e,
	0x47, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x86, 0x02, 0x0a, 0x1b, 0x63, 0x6f, 0x6d, 0x2e, 0x63,
	0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69,
	0x6f, 0x6e, 0x73, 0x2e, 0x76, 0x31, 0x42, 0x0e, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e,
	0x73, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x59, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x62, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x67, 0x61, 0x6d, 0x65, 0x2f,
	0x6d, 0x69, 0x63, 0x72, 0x6f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2f, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x67, 0x65, 0x6e, 0x2f,
	0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2f, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x2f, 0x76, 0x31, 0x3b, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e,
	0x73, 0x76, 0x31, 0xa2, 0x02, 0x03, 0x43, 0x51, 0x58, 0xaa, 0x02, 0x17, 0x43, 0x6f, 0x6e, 0x6e,
	0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73,
	0x2e, 0x56, 0x31, 0xca, 0x02, 0x17, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63,
	0x5c, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x5c, 0x56, 0x31, 0xe2, 0x02, 0x23,
	0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x5c, 0x51, 0x75, 0x65, 0x73, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x5c, 0x56, 0x31, 0x5c, 0x47, 0x50, 0x42, 0x4d, 0x65, 0x74, 0x61, 0x64,
	0x61, 0x74, 0x61, 0xea, 0x02, 0x19, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63,
	0x3a, 0x3a, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x3a, 0x3a, 0x56, 0x31, 0x62,
	0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_connectrpc_questions_v1_questions_proto_rawDescOnce sync.Once
	file_connectrpc_questions_v1_questions_proto_rawDescData = file_connectrpc_questions_v1_questions_proto_rawDesc
)

func file_connectrpc_questions_v1_questions_proto_rawDescGZIP() []byte {
	file_connectrpc_questions_v1_questions_proto_rawDescOnce.Do(func() {
		file_connectrpc_questions_v1_questions_proto_rawDescData = protoimpl.X.CompressGZIP(file_connectrpc_questions_v1_questions_proto_rawDescData)
	})
	return file_connectrpc_questions_v1_questions_proto_rawDescData
}

var file_connectrpc_questions_v1_questions_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_connectrpc_questions_v1_questions_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_connectrpc_questions_v1_questions_proto_goTypes = []any{
	(DifficultyLevel)(0),                // 0: connectrpc.questions.v1.DifficultyLevel
	(QuestionType)(0),                   // 1: connectrpc.questions.v1.QuestionType
	(*GenerateQuestionSetRequest)(nil),  // 2: connectrpc.questions.v1.GenerateQuestionSetRequest
	(*GenerateQuestionSetResponse)(nil), // 3: connectrpc.questions.v1.GenerateQuestionSetResponse
	(*GetQuestionSetRequest)(nil),       // 4: connectrpc.questions.v1.GetQuestionSetRequest
	(*GetQuestionSetResponse)(nil),      // 5: connectrpc.questions.v1.GetQuestionSetResponse
	(*QuestionSet)(nil),                 // 6: connectrpc.questions.v1.QuestionSet
	(*Question)(nil),                    // 7: connectrpc.questions.v1.Question
}
var file_connectrpc_questions_v1_questions_proto_depIdxs = []int32{
	0, // 0: connectrpc.questions.v1.GenerateQuestionSetRequest.difficulty:type_name -> connectrpc.questions.v1.DifficultyLevel
	6, // 1: connectrpc.questions.v1.GenerateQuestionSetResponse.question_set:type_name -> connectrpc.questions.v1.QuestionSet
	6, // 2: connectrpc.questions.v1.GetQuestionSetResponse.question_set:type_name -> connectrpc.questions.v1.QuestionSet
	0, // 3: connectrpc.questions.v1.QuestionSet.level:type_name -> connectrpc.questions.v1.DifficultyLevel
	7, // 4: connectrpc.questions.v1.QuestionSet.questions:type_name -> connectrpc.questions.v1.Question
	1, // 5: connectrpc.questions.v1.Question.type:type_name -> connectrpc.questions.v1.QuestionType
	2, // 6: connectrpc.questions.v1.QuestionsService.GenerateQuestionSet:input_type -> connectrpc.questions.v1.GenerateQuestionSetRequest
	4, // 7: connectrpc.questions.v1.QuestionsService.GetQuestionSet:input_type -> connectrpc.questions.v1.GetQuestionSetRequest
	3, // 8: connectrpc.questions.v1.QuestionsService.GenerateQuestionSet:output_type -> connectrpc.questions.v1.GenerateQuestionSetResponse
	5, // 9: connectrpc.questions.v1.QuestionsService.GetQuestionSet:output_type -> connectrpc.questions.v1.GetQuestionSetResponse
	8, // [8:10] is the sub-list for method output_type
	6, // [6:8] is the sub-list for method input_type
	6, // [6:6] is the sub-list for extension type_name
	6, // [6:6] is the sub-list for extension extendee
	0, // [0:6] is the sub-list for field type_name
}

func init() { file_connectrpc_questions_v1_questions_proto_init() }
func file_connectrpc_questions_v1_questions_proto_init() {
	if File_connectrpc_questions_v1_questions_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_connectrpc_questions_v1_questions_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_connectrpc_questions_v1_questions_proto_goTypes,
		DependencyIndexes: file_connectrpc_questions_v1_questions_proto_depIdxs,
		EnumInfos:         file_connectrpc_questions_v1_questions_proto_enumTypes,
		MessageInfos:      file_connectrpc_questions_v1_questions_proto_msgTypes,
	}.Build()
	File_connectrpc_questions_v1_questions_proto = out.File
	file_connectrpc_questions_v1_questions_proto_rawDesc = nil
	file_connectrpc_questions_v1_questions_proto_goTypes = nil
	file_connectrpc_questions_v1_questions_proto_depIdxs = nil
}
